/******************
	DATEI
	GLOBAL.H : Header-Datei zu GLOBAL.C, 
	           enthaelt einige allgemeine
	           Definitionen, aber vor allem
	           die Funktionen zur Mengenbehandlung;
******************/

#ifndef __GLOBAL__
#define __GLOBAL__

/******************
	DEFINITIONEN
******************/

#define STRSIZE      82       /* Stringgroesse */
#define STRLEN       80       /* Stringlaenge */
#define LONGSTRSIZE 256       /* Lange Stringgroesse */
#define LONGSTRLEN  255       /* Lange Stringlaenge */
#define HALFSTRSIZE 128       /* Halblange Stringgroesse*/
#define HALFSTRLEN  127       /* Halblange Stringlaenge */

#define SETSIZE     1         /* Groesse eines Sets in Longs */
#define SETMAX      (SETSIZE * 32 - 1)    
                              /* Maximale Elemente eines Sets */

/******************
	TYDEFINITIONEN
******************/

typedef BYTE STRING [STRSIZE];      /* Zeichenkette */
typedef BYTE LONGSTR [LONGSTRSIZE]; /* Lange Zeichenkette */
typedef BYTE STR128 [HALFSTRSIZE];  /* Halblange Zeichenkette */

typedef ULONG SET [SETSIZE];        /* Menge */

/******************
	GLOBALE FUNKTIONEN 
	Mengen-Routinen
******************/

GLOBAL VOID    setcpy       (SET set1, SET set2);
GLOBAL VOID    setall       (SET set);
GLOBAL VOID    setclr       (SET set);
GLOBAL VOID    setnot       (SET set);
GLOBAL VOID    setand       (SET set1, SET set2);
GLOBAL VOID    setor        (SET set1, SET set2);
GLOBAL VOID    setxor       (SET set1, SET set2);
GLOBAL VOID    setincl      (SET set, WORD elt);
GLOBAL VOID    setexcl      (SET set, WORD elt);
GLOBAL BOOLEAN setin        (SET set, WORD elt);
GLOBAL BOOLEAN setcmp       (SET set1, SET set2);
GLOBAL WORD    setcard      (SET set);

GLOBAL VOID    setasstring  (SET set, STRING setstring);
GLOBAL BOOLEAN set2inset1   (SET set1, SET set2);

#endif /* __GLOBAL__ */

