.BG
.FN [.survtree
.FN browser.survtree
.FN data.survtree
.FN edit.survtree
.FN graft.survtree
.FN hist.survtree
.FN identify.survtree
.FN labels.survtree
.FN model.frame.survtree
.FN na.survtree.replace
.FN path.survtree
.FN plot.survtree
.FN plot.survtree.sequence
.FN print.survtree
.FN select.survtree
.FN snip.survtree
.FN text.survtree
.TL
Functions for handling objects of class "survtree" or "survtree.second"
.CS
[.survtree (survtree.obj, ..., drop = T)
survtree.obj[node]
survtree.obj[-node]

browser.survtree (survtree.obj, nodes, digits=.Options$digits - 3)

data.survtree (survtree.obj)

edit.survtree (survtree.obj, node, var, splitl, splitr=NULL)

graft.survtree (survtree.obj, subtree, where)

hist.survtree (survtree.obj, ..., nodes, screen.arg=<<see below>>,
          figs=c(1, length(vnames)), plot=T)

identify.survtree (survtree.obj, nodes, print.it = T)

labels.survtree (object, pretty=T, collapse=T)

model.frame.survtree (formula, ...)

na.survtree.replace (frame)

path.survtree (survtree.obj, nodes, pretty=0, print.it=T)

plot.survtree (survtree.obj, type = "", ...)

plot.survtree.sequence (survtree.sequence.obj,  ...)

print.survtree (survtree.obj, pretty=F, spaces=2, digits=.Options$digits-3, ...)

select.survtree (survtree.obj, nodes, drop = T)

snip.survtree (survtree.obj, nodes)

text.survtree (survtree.obj, splits=T, label="yval", FUN=text, all=F, pretty=NULL, 
          digits=.Options$digits - 3)

.DN
These functions produce almost the same results like the functions
for objects of class `"tree"'. For more information see the 
corresponding help-pages (e.g. for `browser.survtree' type `help(browser.tree)')
.SA
`survtree', `prune.survtree', `predict.tree' , `survtree.second', `graph.tree'.
.EX
# the creation of some objects (e.g. 'LM.tree', 'Lm.tree.5.1') 
# used in the following examples is
# shown in 'help(survtree)' or 'help(prune.survtree)'

# there are no examples given for the following functions, 
# because these functions should
# not be called directly by the user:
# data.survtree, graft.survtree, labels.survtree, model.frame.survtree

# get the branches of 'LM.tree' at nodes 4,5 and 14
LM.tree.branch.list.4.5.14 <- LM.tree[c(4,5,14)] 

# apply function browser.survtree on 'LM.tree' interactively
plot(LM.tree)
LM.tree.browser <- browser(LM.tree)
# do the same with given list of nodes
LM.tree.browser.4.5.14 <- browser(LM.tree, nodes = c(4,5,14))

# change the split points on some nodes and generate a new survival tree
LM.tree.node.2.tnm.1.5 <- edit.survtree(LM.tree, 2, "tnm", 1.5)
LM.tree.node.4.sex <-  edit.survtree(LM.tree, 4, "sex", "a", "b")

# display histograms for some variables
tree.screens()
plot(LM.tree.5.1)
hist.survtree(LM.tree.5.1,LM$sex, LM$age, LM$tnm)

# create a list, with each element containing the indices 
# of those cases who are contained in the nodes 4,5 and 14
LM.tree.ident.4.5.14 <- identify(LM.tree,nodes = c(4,5,14))
# do this interacively
plot(LM.tree)
LM.tree.ident <- identify(LM.tree)

# extract the splitting rules for the nodes 4,5 and 14
LM.tree.path.4.5.14 <- path.survtree(LM.tree, nodes = c(4,5,14))

# plot a survival tree "uniformly"
plot.survtree (LM.tree.5.1, type = "u")

# plot a 'survtree.sequence'
plot.survtree.sequence (LM.prune)

# print a survival tree as ascii text width a distance 
# of 4 spaces between the levels
print.survtree (LM.tree, spaces = 4)

# select some branches of a tree and store it in 
# list of branches, do this interactively
plot(LM.tree)
LM.tree.branches <- select.survtree(LM.tree)

# create a subtree by snipping the branches at nodes 4,5 and 14 away
LM.tree.subtree.4.5.14 <- snip.tree(LM.tree, c(4,5,15))

# add the splitting rules and the "log-rank-values" to a plot
plot(LM.tree.5.1)
text(LM.tree.5.1, label = "log.rank.value")

.KW survtree tree
.WR
